import processing.serial.*;

/** Potentiometer Size Ball Example
 *  Tiffany Tseng
 *  Description: This example takes potentiometer input from the Serial Port (9600) and changes
 *  the size of an ellipse based on the input value
 *  Last Updated: 1/22/15
 */

Serial myPort;

float diameter;

void setup(){
  println(Serial.list());
  myPort = new Serial(this, Serial.list()[7], 9600); // change the serial port based on your computer
  myPort.bufferUntil('\n');
  size(displayWidth/2, displayHeight);
}

void draw(){
  background(125,186,216);
  fill(0);
  ellipse(width/2, height/2, diameter, diameter);
}

void serialEvent(Serial p){
  String val = p.readString();
  println(val);
  diameter = map(float(val), 0, 1023, 0, 50);
}
